%if 0%{?rhel} && 0%{?rhel} <= 7
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%if 0%{?fedora} > 12 || 0%{?rhel} > 7
%global with_python3 1
%endif

Name:           python-attrs
Version:        16.0.0
Release:        1%{?dist}
Group:          Development/Libraries
Summary:        Python attributes without boilerplate
License:        MIT
BuildArch:      noarch
URL:            https://attrs.readthedocs.io/
Source0:        https://github.com/hynek/attrs/archive/16.0.0.tar.gz

BuildRequires:  python2-devel python-setuptools python2-hypothesis
%if 0%{?with_python3}
BuildRequires:  python3-devel python3-setuptools python3-hypothesis
%endif # if with_python3

%description
attrs is an MIT-licensed Python package with class decorators that
ease the chores of implementing the most common attribute-related
object protocols.

%if 0%{?with_python3}
%package -n python3-attrs
Summary:        Python attributes without boilerplate
Group:          Development/Libraries

%description -n python3-attrs
attrs is an MIT-licensed Python package with class decorators that
ease the chores of implementing the most common attribute-related
object protocols.

%endif # with_python3

%prep
%setup -q -n attrs-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%{__python2} setup.py build

%check
PYTHONPATH=%{buildroot}/%{python2_sitelib} %{__python2} tests/__init__.py
%if 0%{?with_python3}
PYTHONPATH=%{buildroot}/%{python3_sitelib} %{__python3} tests/__init__.py
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%license LICENSE
%doc AUTHORS.rst README.rst
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-attrs
%license LICENSE
%doc AUTHORS.rst README.rst
%{python3_sitelib}/*
%endif # with_python3

%changelog
* Sat Aug 13 2016 Eric Smith <brouhaha@fedoraproject.org> 16.0.0-1
- Initial version.
